HomeSort by: relevance | last modified time | path
    Searched refs:lockdir (Results 1 - 25 of 69) sorted by relevancy

1 2 3

  /src/external/gpl3/gcc/dist/gcc/
lock-and-run.sh 8 lockdir="$1" prog="$2"; shift 2 || exit 1
14 if test -f $lockdir/lock-$1.$$; then
15 rm -rf $lockdir
16 echo "$self: *** (PID $$) removed stale $lockdir" >&2
19 #echo "$self: *** (PID $$) giving up, maybe rm -r $lockdir" >&2
22 touch $lockdir/lock-$1.$$
26 until mkdir "$lockdir" 2>/dev/null; do
30 if pid=`cat $lockdir/pid 2>/dev/null` && kill -0 $pid 2>/dev/null; then
31 echo "$self: (PID $$) waiting $count sec to acquire $lockdir from PID $pid" >&2
33 echo "$self: (PID $$) cannot read $lockdir/pid" >&
    [all...]
  /src/external/gpl3/gcc.old/dist/gcc/
lock-and-run.sh 8 lockdir="$1" prog="$2"; shift 2 || exit 1
14 if test -f $lockdir/lock-$1.$$; then
15 rm -rf $lockdir
16 echo "$self: *** (PID $$) removed stale $lockdir" >&2
19 #echo "$self: *** (PID $$) giving up, maybe rm -r $lockdir" >&2
22 touch $lockdir/lock-$1.$$
26 until mkdir "$lockdir" 2>/dev/null; do
30 if pid=`cat $lockdir/pid 2>/dev/null` && kill -0 $pid 2>/dev/null; then
31 echo "$self: (PID $$) waiting $count sec to acquire $lockdir from PID $pid" >&2
33 echo "$self: (PID $$) cannot read $lockdir/pid" >&
    [all...]
  /src/external/gpl2/gettext/dist/gettext-tools/examples/hello-c++-kde/admin/
compile 80 lockdir=`echo $cofile | sed -e 's|[/.-]|_|g'`.d
82 if mkdir $lockdir > /dev/null 2>&1; then
88 trap "rmdir $lockdir; exit 1" 1 2 15
98 rmdir $lockdir
  /src/external/gpl2/gettext/dist/build-aux/
compile 112 lockdir=`echo "$cofile" | sed -e 's|[/.-]|_|g'`.d
114 if mkdir "$lockdir" >/dev/null 2>&1; then
120 trap "rmdir '$lockdir'; exit 1" 1 2 15
132 rmdir "$lockdir"
  /src/external/gpl2/gmake/dist/config/
compile 112 lockdir=`echo "$cofile" | sed -e 's|[/.-]|_|g'`.d
114 if mkdir "$lockdir" >/dev/null 2>&1; then
120 trap "rmdir '$lockdir'; exit 1" 1 2 15
132 rmdir "$lockdir"
  /src/external/gpl2/xcvs/dist/build-aux/
compile 112 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
114 if mkdir "$lockdir" >/dev/null 2>&1; then
120 trap "rmdir '$lockdir'; exit 1" 1 2 15
132 rmdir "$lockdir"
  /src/external/gpl2/xcvs/dist/src/
lock.c 101 char *lockdir; member in struct:lock
278 isn't right, because typically the reason for LockDir is to
623 * lockdir The lock dir external to the repository, if any.
636 char *lockdir; local
650 lockdir = lock_name (repository, "");
651 lockdir[strlen (lockdir) - 1] = '\0'; /* remove trailing slash */
654 if ((dirp = CVS_OPENDIR (lockdir)) == NULL)
655 error (1, 0, "cannot open directory %s", lockdir);
670 line = Xasprintf ("%s/%s", lockdir, dp->d_name)
    [all...]
  /src/external/bsd/nvi/dist/dist/
compile 311 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
313 if mkdir "$lockdir" >/dev/null 2>&1; then
319 trap "rmdir '$lockdir'; exit 1" 1 2 15
331 rmdir "$lockdir"
  /src/external/bsd/ntp/dist/sntp/libevent/build-aux/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"
  /src/external/gpl3/binutils/dist/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"
  /src/external/gpl3/binutils.old/dist/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"
  /src/lib/librumpuser/build-aux/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"
  /src/sys/external/isc/libsodium/dist/build-aux/
compile 317 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
319 if mkdir "$lockdir" >/dev/null 2>&1; then
325 trap "rmdir '$lockdir'; exit 1" 1 2 15
337 rmdir "$lockdir"
  /src/sys/external/isc/libsodium/dist/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"
  /src/crypto/external/bsd/heimdal/dist/
compile 317 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
319 if mkdir "$lockdir" >/dev/null 2>&1; then
325 trap "rmdir '$lockdir'; exit 1" 1 2 15
337 rmdir "$lockdir"
  /src/external/bsd/file/dist/
compile 317 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
319 if mkdir "$lockdir" >/dev/null 2>&1; then
325 trap "rmdir '$lockdir'; exit 1" 1 2 15
337 rmdir "$lockdir"
  /src/external/bsd/flex/dist/build-aux/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"
  /src/external/bsd/libevent/dist/build-aux/
compile 317 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
319 if mkdir "$lockdir" >/dev/null 2>&1; then
325 trap "rmdir '$lockdir'; exit 1" 1 2 15
337 rmdir "$lockdir"
  /src/external/bsd/ntp/dist/sntp/libevent/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"
  /src/external/bsd/openldap/dist/contrib/ldapc++/
compile 317 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
319 if mkdir "$lockdir" >/dev/null 2>&1; then
325 trap "rmdir '$lockdir'; exit 1" 1 2 15
337 rmdir "$lockdir"
  /src/external/bsd/openpam/dist/
compile 320 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
322 if mkdir "$lockdir" >/dev/null 2>&1; then
328 trap "rmdir '$lockdir'; exit 1" 1 2 15
340 rmdir "$lockdir"
  /src/external/bsd/tmux/dist/etc/
compile 317 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
319 if mkdir "$lockdir" >/dev/null 2>&1; then
325 trap "rmdir '$lockdir'; exit 1" 1 2 15
337 rmdir "$lockdir"
  /src/external/gpl3/gcc/dist/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"
  /src/external/gpl3/gcc.old/dist/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"
  /src/external/gpl3/gdb/dist/
compile 316 lockdir=`echo "$cofile" | sed -e 's|[/\\:.-]|_|g'`.d
318 if mkdir "$lockdir" >/dev/null 2>&1; then
324 trap "rmdir '$lockdir'; exit 1" 1 2 15
336 rmdir "$lockdir"

Completed in 22 milliseconds

1 2 3